import pathlib
import shutil

from vlab.io.io import load, save


class Path(pathlib.Path):
    """
    A simple wrapper.
    """

    _flavour = type(pathlib.Path())._flavour

    def rmtree(self, ignore_errors=True):
        shutil.rmtree(self, ignore_errors=ignore_errors)

    def mkdirs(self, exist_ok=True):
        self.mkdir(parents=True, exist_ok=exist_ok)

    def load(self):
        """
        Call vlab.io.load to load the file.
        """
        return load(self)

    def save(self, obj, auto_mkdirs=True):
        """
        Call vlab.io.save to save the file.
        """
        return save(obj, self, auto_mkdirs=auto_mkdirs)
