from enum import Enum
from numbers import Number

import numpy as np
import torch


class Backends(Enum):
    UNKNOWN = 0
    BUILT_IN = 1
    NUMPY = 2
    TORCH = 3


def get_backend(tensor):
    if isinstance(tensor, np.ndarray) or isinstance(tensor, np.generic):
        return Backends.NUMPY
    elif isinstance(tensor, torch.Tensor):
        return Backends.TORCH
    elif isinstance(tensor, Number):
        return Backends.BUILT_IN
    else:
        return Backends.UNKNOWN
