import numpy as np
import torch

from vlab.core import Backends, get_backend


def sum(x, dim=None, keepdim=False):
    backend = get_backend(x)
    if backend == Backends.NUMPY:
        return np.sum(x, axis=dim, keepdims=keepdim)
    elif backend == Backends.TORCH:
        return torch.sum(x, dim=dim, keepdim=keepdim)
    else:
        raise TypeError(f"Unsupported backend {backend}")
